org.apache.commons.math3.random

## Class GaussianRandomGenerator

- java.lang.Object
- - org.apache.commons.math3.random.GaussianRandomGenerator

All Implemented Interfaces:
  NormalizedRandomGenerator

    public class GaussianRandomGenerator
    extends Object
    implements NormalizedRandomGenerator

This class is a gaussian normalized random generator for scalars.

This class is a simple wrapper around the `RandomGenerator.nextGaussian()` method.

Since:
  1.2
Version:
  $Id: GaussianRandomGenerator.java 1416643 2012-12-03 19:37:14Z tn $

### Field Summary

Fields
`private RandomGenerator` `generator` Underlying generator.

### Constructor Summary

Constructors
Constructor and Description
`GaussianRandomGenerator(RandomGenerator generator)` Create a new generator.

### Method Summary

Methods
`double` `nextNormalizedDouble()` Generate a random scalar with null mean and unit standard deviation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### generator

    private final RandomGenerator generator

Underlying generator.

### Constructor Detail

#### GaussianRandomGenerator

    public GaussianRandomGenerator(RandomGenerator generator)

Create a new generator.

Parameters:
  `generator` - underlying random generator to use

### Method Detail

#### nextNormalizedDouble

    public double nextNormalizedDouble()

Generate a random scalar with null mean and unit standard deviation.

Specified by:
  `nextNormalizedDouble` in interface `NormalizedRandomGenerator`
Returns:
  a random scalar with null mean and unit standard deviation